require( "scripts/style.lua" );

Default1Font = {
	oldsansblackFont,
	25,
	Color(0,0,0,255),
};

Default2Font = {
	oldsansblackFont,
	21,
	Color(0,0,0,255),
};

Default3Font = {
	oldsansblackFont,
	15,
	Color(0,0,0,255),
};

Page1BottomTextFont = {
	minionproFont,
	17,
	Color(0,0,0,255),
}

Page2TitleFont = {
	oldsansblackFont,
	30,
	Color(153,0,0,255),
};

TasksFont = {
	oldsansblackFont,
	15,
	Color(0,0,0,255),
};

DayFont = {
	oldsansblackFont,
	55,
	Color(0,0,0,255),
};

DadFont = {
	oldsansblackFont,
	21,
	Color(63,110,206,255),
};

MomFont = {
	oldsansblackFont,
	21,
	Color(215,46,193,255),
};

SheetFont = {
	oldsansblackFont,
	30,
	Color(0,0,0,255),
};

ClickFont = {
	oldsansblackFont,
	20,
	Color(255,255,255,255),
};

TimeTextFont = {
	minionproFont,
	34,
	Color(0,0,0,255),
};

sheet1_x = 180;
sheet_y = 22;
space_x = 110;

MakeDialog
{
	FaderWindow
	{
		wait=0,
		duration=100,
		fit = true,
		Bitmap
		{
align=kHAlignLeft + kVAlignTop,
			name = "bg",
			image = "backgrounds/back",
			x = 0,
			y = 0,
			alpha = 0.99,
		},
		DayStart
		{
align=kHAlignLeft + kVAlignTop,
			x = 0;
			y = 0;
			w = 1024;
			h = 768;
			Bitmap
			{
		align=kHAlignLeft + kVAlignTop,
				name = "bg",
				image = "backgrounds/nanny_manual",
				x = 0,
				y = 0,
				alpha = 0.99,
				SetStyle(DialogBodyText),
				Bitmap
				{
					name = "circle",
					image = "gui/nanny_guide/common/circulo",
					x = 43,
					y = 69,
					scale = 1.0
				},
				Window
				{
					name = "info_window",
					x = 559,
					y = 163,
					fit = true,
					SetStyle(DialogBodyText),
					Text
					{
						name = "page2titlte",
						label = "more_useful_information",
						x = 43,
						y = 0,
						w = 253,
						h = 40,
						font = Default1Font,
						flags = kHAlignLeft+kVAlignTop,
					},
					Bitmap
					{
						name = "title1",
						image = "gui/day_start/title",
						x = 0,
						y = 30,
						scale = 1.00,
						SetStyle(DialogBodyText),
						Text
						{
							name = "title",
							label = "nanny_for_the_job",
							x = 29,
							y = 12,
							w = 280,
							h = 45,
							font = Page2TitleFont,
							flags = kHAlignCenter+kVAlignCenter,
						}
					},
					Bitmap
					{
						name = "nanny",
						image = "gui/day_start/nanny1",
						x = 60,
						y = 94,
						scale = 1.00
					},
					SetStyle(DialogBodyText),
					Text
					{
						name = "nanny_name",
						label = "#Nanny Claudia",
						x = 185,
						y = 139,
						w = 199,
						h = 63,
						font = Default2Font,
						flags = kHAlignLeft+kVAlignTop,
					},
					Bitmap
					{
						name = "title2",
						image = "gui/day_start/title",
						x = 0,
						y = 207,
						scale = 1.00,
						SetStyle(DialogBodyText),
						Text
						{
							name = "title",
							label = "time_you_got",
							x = 7,
							y = 12,
							w = 280,
							h = 45,
							font = Page2TitleFont,
							flags = kHAlignCenter+kVAlignCenter,
						},
					},
					Bitmap
					{
						name = "times",
						image = "gui/day_start/times",
						x = 29,
						y = 270,
						scale = 1.00,
						Text
						{
							align=kHAlignLeft + kVAlignTop,
							name="goodtimetext",
							font = {
								minionproFont,
								17,
								Color(229, 187, 77),
							};
							x=-1,
							y=9,
							w=73,
							h=57,
							label = "goodtime2",
							flags = kHAlignCenter + kVAlignCenter,
						},
						SetStyle(DialogBodyText),
						Text
						{
							name = "goodtime",
							x = 68,
							y = 22,
							w = 74,
							h = 33,
							label = "#3:00",
							font = TimeTextFont,
							flags = kHAlignCenter+kVAlignCenter,
						},
						Text
						{
							align=kHAlignLeft + kVAlignTop,
							name="perfecttimetext",
							font = {
								minionproFont,
								17,
								Color(229, 187, 77),
							};
							x=155,
							y=10,
							w=73,
							h=57,
							label = "perfecttime2",
							flags = kHAlignCenter + kVAlignCenter,
						},
						SetStyle(DialogBodyText),
						Text
						{
							name = "perfecttime",
							x = 232,
							y = 21,
							w = 74,
							h = 33,
							font = TimeTextFont,
							label = "#2:00",
							flags = kHAlignCenter+kVAlignCenter,
						},
					},
				},
				Window
				{
					name = "teamwork_window",
					x = 559,
					y = 505,
					fit = true,
					Text
					{
align=kHAlignLeft + kVAlignTop,
						name="day",
						font = {
							oldsansblackFont,
							26,
							Color(116, 169, 174),
						};
						x=8,
						y=24,
						w=150,
						h=36,
						label = "#"..TextOutlined("363636","2",GetString("dadgoals")),
						flags = kHAlignLeft+kVAlignCenter,
					},
					Text
					{
						name="dayewew",
						font = {
							oldsansblackFont,
							26,
							Color(195, 122, 164),
						};
						x=194,
						y=24,
						w=150,
						h=36,
						label = "#"..TextOutlined("363636","2",GetString("momgoals")),
						flags = kHAlignLeft+kVAlignCenter,
					},
					SetStyle(DialogBodyText),
					Text
					{
						name = "goals_dad",
						label = "#1- Do the dishes<br>2- Change diapers<br>3- Make the bed",
						x = 8,
						y = 58,
						w = 165,
						h = 90,
						font = Default3Font,
						flags = kHAlignLeft+kVAlignTop,
					},
					SetStyle(DialogBodyText),
					Text
					{
						name = "goals_mom",
						label = "#1- Do the dishes<br>2- Change diapers<br>3- Make the bed",
						x = 194,
						y = 58,
						w = 165,
						h = 90,
						font = Default3Font,
						flags = kHAlignLeft+kVAlignTop,
					},
				},
				SetStyle( MenuButtonStyle ),
				Button
				{
					name = "gamestatusok",
					x=753,
					y=701,
					graphics = BigButtonGraphics,
					MenuButtonLabel(0, 0, 255, 56, "start", oldsansblackFont, 30, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255));
					command= function() SetToCloseWindow();	end
						--close = true,
				},
				SetStyle(DialogBodyText),
				Text
				{
					name = "note_of_the_day",
					label = "ngf1d1p1bt",
					x = 105,
					y = 578,
					w = 370,
					h = 90,
					font = Page1BottomTextFont,
					flags = kHAlignCenter+kVAlignCenter,
				},
				Bitmap
				{
					name = "photo",
					image = "gui/day_start/family1/day1photo",
					x = 171,
					y = 303,
					scale = 1.00
				},
				SetStyle(DialogBodyText),
				Text
				{
					name = "daytxt",
					label = "day3",
					x = 59,
					y = 86,
					w = 118,
					h = 69,
					font = DayFont,
					flags = kHAlignLeft+kVAlignTop,
				},
				SetStyle(DialogBodyText),
				Text
				{
					name = "todaytxt",
					label = "#1",
					x = 93,
					y = 145,
					w = 49,
					h = 55,
					font = DayFont,
					flags = kHAlignLeft+kVAlignTop,
				},
				SetStyle(DialogBodyText),
				Text
				{
					name = "page1title",
					label = "things_you_should_know",
					x = 148,
					y = 244,
					w = 239,
					h = 64,
					font = Default1Font,
					flags = kHAlignLeft+kVAlignTop,
				},
			}
		}
	}
}
